:root {
	--backgroundColor: #0f1b21;
	--backgroundColorTransparent: #0f1b21a2;
	--selectedBGColor: #252e3b;
	--textColor: #ababab;
	--textColor2: #ffffff;
	--textColorHover: #ffffff;
	--textColorHover2: #d1d1d1;
	--playerColor: #172f43;
	--playerThumbColor: linear-gradient(90deg, var(--sliderTrackColor) 40%, var(--miniplayerColor) 50%, var(--sliderTrackColor) 60%);
	--playButtonBackgroundColor: #245f8b;
	--highlightBG: rgba(128, 128, 128, 0.055);
	--sliderColor: white;
	--sliderTrackColor: #9bcfff;
	--altprimaryColor: #218cea;
	--boxColor: #1e3d58;
}

* {
	touch-action: manipulation;
	user-select: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	-webkit-touch-callout: none;
	-webkit-user-drag: none;
	-khtml-user-drag: none;
	-moz-user-drag: none;
	-o-user-drag: none;
	-ms-user-select: none;
	user-drag: none;
}

body {
	font-family: sans-serif, Helvetica, Arial;
	margin: 0;
	padding: 0;
	background-color: var(--backgroundColor);
	overscroll-behavior: none;
}

html {
	overscroll-behavior: none;
}

p {
	color: var(--textColor);
	margin: 0;
}

button {
	cursor: pointer;
	background: none;
	border: none;
	outline: none;
	color: var(--textColor);
	padding: 0;
}

hr {
	border: none;
	height: 1px;
	background-color: var(--textColor);
	width: 90%;
}

video::-webkit-media-controls-start-playback-button {
	display: none;
}

.explicit {
	height: 1em;
	filter: brightness(10);
}

.client-gradient {
	background: linear-gradient(170deg, #1db954b3, #191414b3 80%) !important;
}

.visible {
	visibility: visible !important;
	opacity: 1 !important;
}

.display-none {
	display: none !important;
}

.loading {
	opacity: 0;
	visibility: hidden;
}

.loader-container {
	position: fixed;
	z-index: 1000;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.loader {
	z-index: 1000;
	border: 16px solid var(--textColor2);
	border-top: 16px solid var(--sliderTrackColor);
	border-radius: 50%;
	width: 40vw;
	height: 40vw;
	animation: loadingSpin 0.8s linear infinite;
}

@keyframes loadingSpin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.popup {
	position: fixed;
	z-index: 1000;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 100vw;
	height: 100dvh;
	overflow: hidden;
	background-color: rgba(0, 0, 0, 0.6);
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}

.popup__container {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 85vw;
	height: min-content;
	max-height: 80dvh;
	background-color: var(--backgroundColor);
	border-radius: 10px;
}

.refresh-popup__text p {
	color: var(--textColor2);
	font-size: 1.5rem;
	text-align: center;
	margin-bottom: 1rem;
	padding-top: 4rem;
}

.refresh-popup__link {
	color: var(--textColor2);
	font-size: 1.5rem;
	text-align: center;
	margin-bottom: 1rem;
	padding: 2rem 0 4rem 0;
}

.overflow-hidden {
	overflow: hidden !important;
	overflow-y: hidden !important;
	overflow-x: hidden !important;
}

/* Mobile */

.mb-container,
.dt-container {
	width: 100vw;
	height: 100vh;
	height: 100dvh;
	overflow: hidden;
	position: fixed;
}

.mb-window {
	width: 100vw;
	height: 100dvh;
	overflow: hidden;
	position: fixed;
	top: 0;
	background-color: var(--backgroundColor);
	transform: translateX(100%);
	transition: transform 0.3s ease-in-out;
}

.mb-window--active {
	transform: translateX(0);
}

.mb-window__end {
	margin-bottom: 9rem;
	width: 100%;
	height: 0;
}

.mb-window__close-button {
	position: absolute;
	top: 0.5rem;
	left: 0.5rem;
	z-index: 2;
}

.mb-window__close-button img {
	height: 3rem;
	width: 3rem;
	background-color: var(--backgroundColorTransparent);
	border-radius: 50%;
}

.mb-album__main,
.mb-artist__main {
	display: flex;
	overflow-y: auto;
	flex-direction: column;
	align-items: center;
	width: 100%;
	height: 100dvh;
}

.mb-album__background {
	position: absolute;
	z-index: -1;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	filter: blur(20px) brightness(0.4);
	background-image: url("/tempicons/placeholderAlbum2.webp");
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	transform: scale(1.5);
}

.mb-album__header {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	padding: 3rem 0 1rem 0;
}

.mb-album__header-cover {
	width: clamp(10rem, 30dvh, 100%);
	border-radius: 10px;
}

.mb-album__header-text {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 1rem;
}

.mb-album__header-type,
.mb-artist__header-type {
	font-weight: 600;
	font-size: 1.1rem;
	color: var(--altprimaryColor);
	margin-bottom: 0.4rem;
}

.mb-album__header-title {
	font-size: 1.9rem;
	color: var(--textColor2);
	margin-bottom: 0.3rem;
	text-align: center;
	padding: 0 1rem;
}

.mb-album__header-artist {
	font-size: 1.3rem;
	color: var(--textColor);
	margin-bottom: 0.5rem;
	text-align: center;
	padding: 0 1rem;
}

.mb-album__header-details {
	display: flex;
	align-items: center;
	gap: 1rem;
}

.mb-album__header-controls {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	gap: 0.5rem;
}

.mb-album__track-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	gap: 0.3rem;
	background-color: rgba(0, 0, 0, 0.5);
	box-shadow: 0 4.25rem 10px 5rem rgba(0, 0, 0, 0.5);
}

.mb-album__track {
	display: grid;
	grid-template-columns: min-content 1fr max-content;
	align-items: center;
	width: 90%;
	padding: 0.5rem 0;
	border-radius: 10px;
	gap: 0.8rem;
}

/* .mb-album__track:nth-child(odd) {
	background-color: rgba(255, 255, 255, 0.1);
} */

/* .mb-album__track:nth-child(even) {
	background-color: rgba(255, 255, 255, 0.1);
} */

.mb-album__track-number {
	width: 1.2rem;
	text-align: center;
}

.mb-album__track-info {
	overflow: hidden;
	display: flex;
	flex-direction: column;
	flex: 1;
}

.mb-album__track-container {
	display: flex;
	overflow: hidden;
	align-items: center;
	gap: 0.5rem;
}

.mb-album__track-title {
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	max-width: 100%;
	width: fit-content;
	color: var(--textColor2);
}

.mb-album__track-popularity {
	display: flex;
	align-items: center;
	justify-content: center;
}

.mb-album__track-popularity img {
	height: 1rem;
	width: min-content;
}

.mb-artist__content {
	background-color: var(--backgroundColor);
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	box-shadow: 0 4.25rem 20px 6rem var(--backgroundColor);
}

.mb-artist__header {
	width: 100%;
	margin-top: 11rem;
}

.mb-artist__header-text {
	display: flex;
	flex-direction: column;
	padding: 0.5rem 0 0 1rem;
}

.mb-artist__header-name {
	font-size: 2.5rem;
	color: var(--textColor2);
	margin-bottom: 0.5rem;
}

.mb-artist__header-followers {
	font-size: 1.1rem;
	color: var(--textColor);
}

.mb-artist__header-controls {
	display: grid;
	grid-template-columns: repeat(3, min-content) 1fr repeat(2, min-content);
	align-items: center;
	width: 100%;
}

.mb-artist__header-controls > :nth-child(n + 4) {
	margin: 0 0.5rem;
}

.mb-artist__background {
	position: absolute;
	z-index: -1;
	top: 0;
	left: 0;
	display: flex;
	justify-content: center;
	align-items: start;
}

.mb-artist__background-video,
.mb-artist__background-image {
	/* height: 15rem; */
	width: 100%;
}

.mb-artist__background-video--inactive,
.mb-artist__background-image--inactive {
	filter: brightness(0.7);
}

.mb-artist__background-fade {
	position: absolute;
	width: 100%;
	bottom: 0;
	height: 5rem;
	background: linear-gradient(to top, var(--backgroundColor), transparent);
	box-shadow: 0 20px 5px 5px var(--backgroundColor);
}

.mb-artist__bio {
	width: 95%;
}

.mb-artist__bio-title {
	font-size: 1.3rem;
	color: var(--textColor2);
	margin-bottom: 0.5rem;
}

.mb-artist__bio-text {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	font-size: 1rem;
	color: var(--textColor);
	line-clamp: 2;
	-webkit-line-clamp: 2;
	overflow: hidden;
}

.mb-artist__section {
	display: flex;
	position: relative;
	flex-direction: column;
	width: 100%;
}

.mb-artist__section-title {
	font-size: 1.5rem;
	color: var(--textColor2);
	padding-left: 2.5%;
	margin: 1rem 0;
}

.mb-artist__expand-button {
	position: absolute;
	top: calc(1em - 6px);
	right: 0.5em;
}

.mb-artist__top-tracks-list {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	gap: 0.5rem;
}

.mb-artist__top-track {
	display: grid;
	grid-template-columns: min-content min-content 1fr max-content;
	align-items: center;
	width: 95%;
	padding: 0.5rem 0;
	border-radius: 10px;
	gap: 0.5rem;
}

.mb-artist__top-track-cover {
	width: 3rem;
	border-radius: 5px;
	box-shadow: 0 0 1px 1px rgba(255, 255, 255, 0.1);
}

.mb-artist__top-track-number {
	width: 1.2rem;
	text-align: center;
}

.mb-artist__top-track-info {
	overflow: hidden;
	display: flex;
	flex-direction: column;
	flex: 1;
}

.mb-artist__top-track-container {
	display: flex;
	overflow: hidden;
	align-items: center;
	gap: 0.5rem;
}

.mb-artist__top-track-title {
	text-overflow: ellipsis;
	white-space: nowrap;
	overflow: hidden;
	max-width: 100%;
	width: fit-content;
	color: var(--textColor2);
}

.mb-artist__section-list {
	display: flex;
	overflow-x: scroll;
}

.mb-artist__album {
	padding: 0.8rem;
	width: 10rem;
}

.mb-artist__album-cover {
	height: 10rem;
	width: 10rem;
	border-radius: 10px;
	box-shadow: 0 0 1px 1px rgba(255, 255, 255, 0.1);
}

.mb-artist__album-info {
	display: flex;
	gap: 0.5rem;
	margin-top: 0.5rem;
}

.mb-artist__album-title {
	font-size: 1.1rem;
	color: var(--textColor2);
	margin-top: 0.5rem;
}

.mb-artist__album-date,
.mb-artist__album-tracks {
	font-size: 0.8rem;
	color: var(--textColor);
}

.mb-miniplayer-ele {
	display: flex;
	z-index: 1;
	flex-direction: column;
	align-items: center;
	position: absolute;
	height: 3.5rem;
	width: 95%;
	left: 2.5%;
	bottom: calc(5rem + 1px);
	border-radius: 10px;
	background-color: var(--playerColor);
	outline: 1px solid var(--playerColor);
}

.mb-miniplayer__progress-bar {
	height: 5%;
	background-color: var(--sliderTrackColor);
	width: 94%;
	border-radius: 0.25rem;
}

.mb-miniplayer__progress-bar--filled {
	height: 100%;
	background-color: var(--sliderColor);
	border-radius: 0.25rem 0 0 0.25rem;
	width: 50%;
}

.mb-miniplayer__main {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	max-width: 100%;
	overflow: hidden;
	height: 95%;
}

.mb-miniplayer__info {
	display: flex;
	align-items: center;
	margin-left: 1rem;
	color: var(--textColor2);
	max-width: 100%;
}

.mb-miniplayer__info img {
	height: 2.5rem;
	border-radius: 5px;
	/* box-shadow: [horizontal offset] [vertical offset] [blur radius] [spread radius] [color]; */
	box-shadow: 0 0 5px 3px rgba(0, 0, 0, 0.2);
}

.mb-miniplayer__info-text {
	display: flex;
	flex-direction: column;
	height: 3rem;
	margin: 0.25rem 1rem;
	justify-content: space-around;
	flex: 1;
}

.mb-miniplayer__info-title {
	color: var(--textColor2);
	max-width: 40vw;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.mb-miniplayer__info-artist {
	color: var(--textColor);
	max-width: 40vw;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.mb-miniplayer-ele__controls {
	margin-right: 0.5rem;
}

.mb-control-button__image {
	width: 3.3rem;
	z-index: 1;
}
.mb-control-button__image img {
	width: 3.3rem;
}

.mb-control-button__image--big {
	width: 4rem;
	z-index: 1;
}
.mb-control-button__image--big img {
	width: 4rem;
	background-color: var(--playButtonBackgroundColor);
	border-radius: 50%;
}

.control-button--active {
	filter: brightness(2);
}

.mb-player-ele {
	position: fixed;
	visibility: hidden;
	overflow: hidden;
	opacity: 0;
	z-index: 2;
	width: 100%;
	height: calc(3.5rem - 5dvh);
	background-color: var(--playerColor);
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 5dvh;
	bottom: calc(5rem + 1px);
}

.mb-player-ele--expanded {
	height: calc(100% - 5vh);
	bottom: 0;
}

.mb-player-ele--moving {
	border-radius: 10px;
}

.mb-player-ele--moving-back {
	transition: bottom 0.3s cubic-bezier(0, 0, 0.2, 1), height 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.mb-close-button__image {
	position: absolute;
	top: 1rem;
	left: 1rem;
}

.mb-close-button__image img {
	height: 3rem;
	width: 3rem;
}

.mb-player__container {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 90%;
	height: 100%;
}

.mb-player__context {
	display: flex;
	align-items: center;
	margin-bottom: 2rem;
	font-size: 0.8rem;
	color: var(--textColor2);
}

.mb-player__context img {
	height: 1.7rem;
}

.mb-player__main {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	flex: 1;
}

.mb-player__cover {
	width: clamp(10rem, 40vh, 100%);
	width: clamp(10rem, 40dvh, 100%);
	/* width: 100%; */
	border-radius: 10px;
}

@media screen and (max-height: 650px) {
	.mb-player__cover {
		width: 30vh;
		width: 30dvh;
	}
}

.mb-player__info-container {
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	margin: 1.5rem 0;
}

.mb-player__info-text {
	flex: 1;
	overflow: hidden;
	white-space: nowrap;
}

.mb-player__info-title {
	font-size: 1.5rem;
	color: var(--textColor2);
}

.mb-player__info-artist {
	font-size: 1rem;
	padding-top: 0.5rem;
	color: var(--textColor);
}

.mb-player__info-controls {
	display: flex;
	position: relative;
	justify-content: center;
}

.mb-player__info-blur {
	position: absolute;
	top: 0;
	left: -1rem;
	width: 100%;
	height: 100%;
	background-color: var(--playerColor);
	filter: blur(0.3rem);
}

.mb-player__controls {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	flex: 1;
}

.mb-player__progress-bar-container,
.mb-player__volume-bar-container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	width: 100%;
}

.mb-player__progress-bar,
.mb-player__volume-bar {
	grid-column: span 2 / span 2;
	height: 0.2rem;
	background-color: var(--sliderTrackColor);
	border-radius: 0.25rem;
	position: relative;
}

.mb-player__progress-bar--filled,
.mb-player__volume-bar--filled {
	position: absolute;
	width: 50%;
	height: 100%;
	background-color: var(--sliderColor);
	border-radius: 0.25rem 0 0 0.25rem;
}

.mb-player__progress-bar-head,
.mb-player__volume-bar-head {
	position: absolute;
	left: calc(50% - 0.4rem);
	top: 50%;
	transform: translateY(-50%);
	height: 0.8rem;
	width: 0.8rem;
	background-color: var(--sliderColor);
	border-radius: 50%;
}

.mb-player__progress-bar-time {
	font-size: 0.75rem;
	margin-top: 0.8rem;
	color: var(--textColor);
}
.mb-player__volume-bar-icon {
	display: flex;
	align-items: center;
}
.mb-player__volume-bar-icon img {
	margin-top: 0.2rem;
	height: 2rem;
	width: 2rem;
}

.mb-range-detail--left {
	text-align: left;
	justify-content: flex-start;
}
.mb-range-detail--right {
	text-align: right;
	justify-content: flex-end;
}

.mb-player__control-buttons {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	margin: 1.5rem 0 2rem 0;
}

@media screen and (max-height: 700px) {
	.mb-player__control-buttons {
		margin: 0 0 1.5rem 0;
	}
}

#mbPlayerPlayButton img {
	max-height: none;
	background-color: var(--playButtonBackgroundColor);
	filter: brightness(1.5);
}
#mbPlayerPlayButton {
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	border-radius: 50%;
}

.mb-player__extra-control-buttons {
	display: flex;
	justify-content: space-around;
	width: 100%;
}

nav {
	position: absolute;
	z-index: 1;
	bottom: 0;
	left: 0;
	width: 100vw;
	height: 5rem;
	display: flex;
	justify-content: space-around;
	align-items: center;
	background: linear-gradient(to top, var(--playerColor) 85%, transparent);
	/* background-image: -webkit-gradient(linear, to top, var(--miniplayerColor) 80%, transparent); */
}

.mb-nav-button {
	display: flex;
	flex-direction: column;
	align-items: center;
	font-size: 0.7rem;
	flex: 1;
}

.mb-nav-button img {
	height: 2.5rem;
}

.mb-nav-button--selected {
	color: var(--textColor2);
}
.mb-nav-button--selected img {
	filter: brightness(2);
}

main {
	height: 100vh;
	height: 100dvh;
	width: 100vw;
}
.mb-main-ele {
	display: none;
	height: 100%;
	width: 100%;
	padding-bottom: calc(8.5rem + 1px);
}

.mb-main-ele-container {
	display: flex;
	flex-direction: column;
	align-items: center;
	overflow-y: auto;
	overflow-x: hidden;
	width: 100%;
	height: 100%;
}

.mb-account__box {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 1rem;
	width: 90%;
	padding: 3%;
	margin: 2%;
	outline: 1px solid var(--textColor);
	border-radius: 10px;
	background: var(--boxColor);
}

.mb-account__profile-main {
	display: flex;
	flex-direction: column;
	overflow: hidden;
	gap: 0.5rem;
}

.mb-account__profile-image img {
	height: 8rem;
	width: 8rem;
	border-radius: 50%;
}

.mb-account__profile-name {
	font-size: 1.5rem;
	color: var(--textColor2);
}

.mb-account__profile-status {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	color: var(--textColor);
}
.mb-account__profile-status img {
	height: 1.5rem;
	width: 1.5rem;
}

.mb-account__profile-followage {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	color: var(--textColor);
	gap: 0.5rem;
}
.mb-account__profile-followage p {
	overflow: hidden;
	font-size: 0.9rem;
	white-space: nowrap;
}

.mb-account__client-main {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	align-items: center;
	width: 100%;
	border-radius: 10px;
}
.mb-account__client-title {
	font-size: 1.5rem;
	color: var(--textColor2);
}
.mb-account__client-desc {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	font-size: 1rem;
	color: var(--textColor);
}
.mb-account__client-desc img {
	width: 1.5rem;
}
.mb-account__client-desc p {
	font-size: 1.2rem;
}
.mb-account__client-arrow {
	justify-self: end;
}
.mb-account__button {
	display: grid;
	grid-template-columns: 5fr 1fr;
	align-items: center;
	width: 90%;
	border-radius: 10px;
	color: var(--textColor2);
	font-size: 1rem;
}
.mb-account__button > div {
	display: flex;
	align-items: center;
}
.mb-account__button > div > img {
	height: 2.5rem;
}
.mb-account__button > img {
	justify-self: end;
	height: 2.5rem;
}

/* Desktop */

.dt-player-ele {
	display: grid;
	grid-template-columns: 1.5fr min-content 1fr min-content;
	grid-template-rows: 1fr;
	gap: 2vw;
	z-index: 1;
	align-items: center;
	align-content: center;
	position: absolute;
	height: 5rem;
	width: 99%;
	left: 0.5%;
	bottom: 0.5%;
	border-radius: 5px;
	background-color: var(--playerColor);
	overflow: hidden;
}

#dtExpandPlayerButton {
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 5px;
	height: 2rem;
	width: 2rem;
}

#dtExpandPlayerButton img {
	height: 2rem;
}

.dt-player__details {
	display: flex;
	justify-content: left;
	align-items: center;
	padding-left: 2.1rem;
	overflow: hidden;
	height: 100%;
}

.dt-player__cover {
	height: 4.5rem;
	width: 4.5rem;
	border-radius: 10px;
	cursor: pointer;
	user-select: none;
}

.dt-player__text {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;
	overflow: hidden;
	padding: 1rem;
}

.dt-player__text p {
	width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.dt-player__text--title {
	font-size: 1.1rem;
	color: var(--textColor2);
}

.dt-player__text--artist {
	font-size: 0.9rem;
	color: var(--textColor);
}

.dt-player__text--album {
	font-size: 0.9rem;
	color: var(--textColor);
}

.dt-player__details-buttons {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 0.5rem;
}

.dt-player__details-buttons,
.dt-player__details-buttons img {
	height: 2.4rem;
}

.dt-player__controls {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	background-color: var(--selectedBGColor);
	border-radius: 20px;
}

.dt-player__controls img {
	height: 2.3rem;
}

.dt-player__controls > :nth-child(2) {
	/* border-right: var(--textColor) 1px solid; */
	box-shadow: 1px 0 0 var(--textColor);
}

.dt-player__progress-bar-container {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	width: 100%;
}

.dt-player__progress-bar {
	grid-column: span 2 / span 2;
	height: 0.3rem;
	background-color: var(--sliderTrackColor);
	border-radius: 0.25rem;
	position: relative;
}

.dt-player__progress-bar--filled {
	position: absolute;
	width: 50%;
	height: 100%;
	background-color: var(--sliderColor);
	border-radius: 0.25rem 0 0 0.25rem;
}

.dt-player__progress-bar-head {
	position: absolute;
	left: calc(50% - 0.4rem);
	top: 50%;
	transform: translateY(-50%);
	height: 0.8rem;
	width: 0.8rem;
	background-color: var(--sliderColor);
	border-radius: 50%;
}

.dt-player__progress-bar-time {
	font-size: 0.75rem;
	margin-top: 0.4rem;
	color: var(--textColor);
}

.dt-range-detail--left {
	text-align: left;
	justify-content: flex-start;
}

.dt-range-detail--right {
	text-align: right;
	justify-content: flex-end;
}

.dt-player__extra-controls {
	display: flex;
	justify-content: right;
	gap: 0.5rem;
	align-items: center;
	width: 100%;
}
